#include <iostream>
#include <bits/stdc++.h>
using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int n;
    cin>>n;
    int a[n];
    int b[n];
    int maks=INT_MIN;
    for(int i = 0;i<n;i++)
    {
        cin>>a[i];
    }
    for(int i=0;i<n;i++)
    {
        cin>>b[i];
    }
    for(int i=0;i<n-1;i++)
    {
        if((a[i]^a[i+1])*(b[i]&b[i+1])>maks)
        {
            maks=(a[i]^a[i+1])*(b[i]&b[i+1]);
        }
    }
    cout<<maks;
}